%define	version 1.0.3

Summary: DHCPXD Daemon
Name: dhcpxd
Version: %{version}
Release: 3mdk
Copyright: GPL
Group: System/Servers
Source: ftp://ftp.guido.yi.org:50021/dhcpxd-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root

%description
The primary goal of this DHCP client is to conform to the DHCP specification
defined in RFC2131 which is now the draft standard. However, the client can
be told how to behave. Additionally, the client supports all-in-one-process
session managment as well as a process per session. It may also be used to
masquerade IP leases and has the capability of running on interface aliases.
Finally, perhaps the most advanced feature of the client is that all the
configuration that is required for setting up interfaces is in scripts that
are run at the appropiate times. 

%prep 
%setup 

%build
./configure
perl -pi -e 's/-Wall/\$(RPM_OPT_FLAGS) -Wall/g;' Makefile
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/dhcpxd
cp -f filter $RPM_BUILD_ROOT/etc/dhcpxd
cp -df install/* $RPM_BUILD_ROOT/etc/dhcpxd

ln -sf /dev/log $RPM_BUILD_ROOT/etc/dhcpxd/out

install -m 500 dhcpxd $RPM_BUILD_ROOT/sbin/dhcpxd
install -m 644 dhcpxd.8 $RPM_BUILD_ROOT/usr/man/man8/dhcpxd.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/dhcpxd
/sbin/dhcpxd
/usr/man/man8/dhcpxd.8*

%changelog
* Wed Apr 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.3-3mdk
- change output from tty7 (nasty) to /dev/log (working?)

* Fri Apr 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-2mdk
- used spec-helper
- fix group

* Mon Mar 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com>
- first Mandrake release
